%global pypi_name pytype

Name:		python-%{pypi_name}
Version:	2023.9.19
Release:	2
Summary: 	Python type inferencer

License:	Apache 2.0
URL:  		https://github.com/google/pytype
Source0:	%{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch1:		0001-fix-parse-error-py.patch
Patch2:		0001-Increase-the-upper-limit-version-of-networkx-to-fix-install.patch

%description
Pytype checks and infers types for your Python code - without requiring type annotations. 

%package -n python3-%{pypi_name}
Summary:	Python type inferencer
Provides:	python-%{pypi_name}

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pybind11
BuildRequires:  gcc-c++

%description -n python3-%{pypi_name}
Pytype checks and infers types for your Python code - without requiring type annotations. 

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/pytype*.dist-info/
%{python3_sitearch}/pytype/
%{python3_sitearch}/pytype_extensions/
%{python3_sitearch}/third_party/
%{_bindir}/*

%changelog
* Tue Apr 02 2024 zhangxianting <zhangxianting@uniontech.com> - 2023.9.19-2
- Increase the upper limit version of networkx to fix install, networkx<3.2 to networkx<=3.2

* Wed Sep 20 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 2023.9.19-1
- Init package.
